var a = 6378245.0;
var ee = 0.00669342162296594323;
var lnglat = new Array(2);

function transform(wgLon, wgLat) {
	console.log(Math.PI);
	if(outOfChina(wgLat, wgLon)) {
		console.log("outOfChina");
		lnglat[0] = wgLon;
		lnglat[1] = wgLat;
		console.log(lnglat[0] + "|" + lnglat[1]);
		return lnglat;
	}
	var dLat = transformLat(wgLon - 105.0, wgLat - 35.0);
	var dLon = transformLon(wgLon - 105.0, wgLat - 35.0);
	var radLat = wgLat / 180.0 * Math.PI;
	var magic = Math.sin(radLat);
	magic = 1 - ee * magic * magic;
	var sqrtMagic = Math.sqrt(magic);
	dLat = (dLat * 180.0) / ((a * (1 - ee)) / (magic * sqrtMagic) * Math.PI);
	dLon = (dLon * 180.0) / (a / sqrtMagic * Math.cos(radLat) * Math.PI);
	lnglat[0] = wgLon + dLon;
	lnglat[1] = wgLat + dLat;
//	console.log(lnglat[0] + "|" + lnglat[1] + "|" + dLon + "|" + dLat);
	return lnglat;
}

function outOfChina(lat, lon) {
	if(lon < 72.004 || lon > 137.8347)
		return true;
	if(lat < 0.8293 || lat > 55.8271)
		return true;
	return false;
}

function transformLat(x, y) {
	ret = -100.0 + 2.0 * x + 3.0 * y + 0.2 * y * y + 0.1 * x * y + 0.2 * Math.sqrt(Math.abs(x));
	ret += (20.0 * Math.sin(6.0 * x * Math.PI) + 20.0 * Math.sin(2.0 * x * Math.PI)) * 2.0 / 3.0;
	ret += (20.0 * Math.sin(y * Math.PI) + 40.0 * Math.sin(y / 3.0 * Math.PI)) * 2.0 / 3.0;
	ret += (160.0 * Math.sin(y / 12.0 * Math.PI) + 320 * Math.sin(y * Math.PI / 30.0)) * 2.0 / 3.0;
	return ret;
}

function transformLon(x, y) {
	ret = 300.0 + x + 2.0 * y + 0.1 * x * x + 0.1 * x * y + 0.1 * Math.sqrt(Math.abs(x));
	ret += (20.0 * Math.sin(6.0 * x * Math.PI) + 20.0 * Math.sin(2.0 * x * Math.PI)) * 2.0 / 3.0;
	ret += (20.0 * Math.sin(x * Math.PI) + 40.0 * Math.sin(x / 3.0 * Math.PI)) * 2.0 / 3.0;
	ret += (150.0 * Math.sin(x / 12.0 * Math.PI) + 300.0 * Math.sin(x / 30.0 * Math.PI)) * 2.0 / 3.0;
	return ret;
}