//获取支付列表
function getPayList() {
	mui.ajax_query({
		func_url: '?r=order/get-pay-tools&token=' + UserInfo.token(),
		params: '',
		type: 'get',
		onSuccess: function(data) {
			var item = JSON.stringify(data)
			console.log(item.pay_type)
			mui.each(data.data, function(index, item) {
				var li = $('<li class="mui-table-view-cell" id="' + item.pay_type + '">' +
					'<input type="hidden" name="" id="payurl" value="' + item.pay_url + '" />' +
					'<input type="hidden" name="" id="paytaye" value="' + item.pay_method + '" />' +
					'<a class="mui-navigate-right ">' + item.pay_name + '</a>' +
					'</li>');
				li.appendTo(payList)
			})
		},
		onError: function(errcode) {
			mui.toast(errcode.msg);
		},
	}, '3')
}
// 检测是否安装支付服务
function checkServices(pc) {
	if(!pc.serviceReady) {
		var txt = null;
		switch(pc.id) {
			case "alipay":
				txt = "检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
			default:
				txt = "系统未安装“" + pc.description + "”服务，无法完成支付，是否立即安装？";
				break;
		}
		plus.nativeUI.confirm(txt, function(e) {
			if(e.index == 0) {
				pc.installService();
			}
		}, pc.description);
	}
}
// 支付
function pay(id, orderid, url1, paytype) {
	console.log(id + '--' + orderid)
	if(w) {
		return;
	} //检查是否请求订单中
	console.log("----- 请求支付 -----");
	var url = PAYSERVER;
	if(id == 'alipay') {
		url;
		console.log("al" + url)
	} else {
		url = url1 + "pay-to-one&token=";
		console.log(url)
	}
	//	var url ='http://api.lion-mall.com/?r=sxf-pay/pay-to-one&token=';
	var appid = plus.runtime.appid;
	if(navigator.userAgent.indexOf('StreamApp') >= 0) {
		appid = 'Stream';
	}
	w = plus.nativeUI.showWaiting();
	if(paytype == 0) {
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 4:
					w.close();
					w = null;
					if(xhr.status == 200) {
						console.log("----- 请求订单成功 -----");
						console.log(xhr.responseText);
						var order = xhr.responseText;
						plus.payment.request(pays[id], order, function(result) {
							console.log("----- 支付成功 -----");
							console.log(JSON.stringify(result));
							page = 1;
							orderlist.innerHTML = '';
							loadingbtn.innerHTML = '<div class="p1">' + loading + '</div>';
							PostOrderList(state)
							/*mui.ajax_query({
								func_url:'?r=alipay/one-success',
								params:{orderid:orderid},
								type:'get',
								onSuccess:function(data){
									console.log(JSON.stringify(data))
									mui.toast(data.msg);
									page=1;
									orderlist.innerHTML='';
									loadingbtn.innerHTML='<div class="p1">'+loading+'</div>';
									PostOrderList(state)
								},
								onError:function(errcode){
								    console.log(JSON.stringify(errcode))
								},
							},'3')*/
						}, function(e) {
							console.log("----- 支付失败 -----");
							console.log("[" + e.code + "]：" + e.message);
							plus.nativeUI.alert("支付失败", null, "支付失败：" + e.code);
						});
					} else {
						console.log("----- 请求订单失败 -----");
						console.log(xhr.status);
						plus.nativeUI.alert("获取订单信息失败！", null);
					}
					break;
				default:
					break;
			}
		}
	} else if(paytype == 3) {
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 4:
					w.close();
					w = null;
					if(xhr.status == 200) {
						console.log("----- 请求订单成功 -----");
						console.log(xhr.responseText)
						var data = xhr.responseText;
						if(data.indexOf("weixin") == 0) {
							mui.toast("支付请求成功")
							$('.zf-pay').show()
							$(".cart-foot").hide()
							$(".mui-content").hide()
							$("#code").qrcode({
								render: "canvas",
								width: 180,
								height: 180,
								text: data
							})
						} else {
							var dataMsg = JSON.parse(data)
							mui.toast(dataMsg.msg)
						}
					} else {
						console.log("----- 请求订单失败 -----");
						console.log(xhr.status);
						plus.nativeUI.alert("获取订单信息失败！", null);
					}
			}
		}
	} else if(paytype == 1) {
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 4:
					w.close();
					w = null;
					if(xhr.status == 200) {
						console.log("----- 请求订单成功 -----");
						console.log(xhr.responseText)
						var data = xhr.responseText;
						if(data.indexOf("http") == 0) {
							//							window.location.href = data;
							mui.openWindow({
								id: '../paywebview.html',
								url: '../paywebview.html',
								aniShow: getaniShow(),
								isBars: false,
								extras: {
									more: data,
									type: 1
								},
								waiting: {
									autoShow: true,
									title: '正在加载...',
									options: {
										width: '100px',
										height: '100px',
									}
								}
							});
						} else {
							var dataMsg = JSON.parse(data)
							mui.toast(dataMsg.msg)
						}

					} else {
						console.log("----- 请求订单失败 -----");
						console.log(xhr.status);
						plus.nativeUI.alert("获取订单信息失败！", null);
					}
			}
		}
	} else if(paytype == 4) {
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 4:
					w.close();
					w = null;
					if(xhr.status == 200) {
						console.log("----- 请求订单成功 -----");
						console.log(xhr.responseText)
						var data = xhr.responseText;
						if(data.indexOf("http") == 0) {
							mui.toast("请求支付成功")
							console.log("111")
							plus.runtime.openURL(data, function(i) {
								console.log('aa' + JSON.stringify(i))
							})
						} else {
							console.log("222")
							var dataMsg = JSON.parse(data)
							mui.toast(dataMsg.msg)
						}
					} else {
						console.log("----- 请求订单失败 -----");
						console.log(xhr.status);
						plus.nativeUI.alert("获取订单信息失败！", null);
					}
			}
		}
	} else {
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 4:
					w.close();
					w = null;
					if(xhr.status == 200) {
						console.log("----- 请求订单成功 -----");
						console.log(xhr.responseText)
						//						$("#payForm").append(xhr.responseText);
						//						$("#payForm>form input").each(function() {
						//							var _this = $(this);
						//							console.log(_this.val());
						//						})
						//						$("#payForm>form").submit();
						$("#payForm").append(xhr.responseText);
						$("#payForm>form").attr('target', 'frame1')
						$("#payForm>form").submit();
						$("#frame1").show();
						$(".mui-content").hide()
						mui.toast("支付请求成功")
					} else {
						console.log("----- 请求订单失败 -----");
						console.log(xhr.status);
						plus.nativeUI.alert("获取订单信息失败！", null);
					}
			}

		}
	}
	xhr.open('GET', url + UserInfo.token() + '&orderid=' + orderid);
	console.log("请求支付订单：" + url + UserInfo.token() + '&orderid=' + orderid);
	xhr.send();
}
//初始化订单列表
function PostOrderList(state) {
	var params = {}
	if(state) {
		params = {
			state: state,
			pageSize: pagesize,
			page: page
		}
	} else {
		params = {
			pageSize: pagesize,
			page: page
		}
	}
	console.log(JSON.stringify(params))
	mui.ajax_query({
		func_url: '?r=order/order-list&token=' + UserInfo.token(),
		params: params,
		type: 'POST',
		onSuccess: function(data) {
			console.log(JSON.stringify(data));
			totalPages = data.data.totalPages; //总页数
			page += 1; //下页
			mui.each(data.data.list, function(index, item) {
				var html = '';
				html += '<ul class="mb1" id="order_' + item.order_id + '"><li><div class="ordernumber p5 f8" id="' + item.store_id + '">';
				if(item.refund_state == 0) {
					if(item.order_state == 10) {
						html += ' <span class="fr order-state">等待买家付款</span>';
					} else if(item.order_state == 20) {
						html += ' <span class="fr order-state">已付款,待发货</span>';
					} else if(item.order_state == 30) {
						html += ' <span class="fr order-state">已发货</span>';
					} else if(item.order_state == 40) {
						html += ' <span class="fr order-state">已收货</span>';
					} else if(item.order_state == 50) {
						html += ' <span class="fr order-state">已评价</span>';
					} else if(item.order_state == 0) {
						html += ' <span class="fr order-state">订单已取消</span>';
					}
				} else {
					if(item.order_state == 10) {
						html += ' <span class="fr order-state">等待买家付款 (退款订单)</span>';
					} else if(item.order_state == 20) {
						if(item.refund_state == 3) {
							html += ' <span class="fr order-state">退款订单</span>';
						} else {
							html += ' <span class="fr order-state">已付款,待发货 (退款订单)</span>';
						}
					} else if(item.order_state == 30) {
						html += ' <span class="fr order-state">已发货 (退款订单)</span>';
					} else if(item.order_state == 40) {
						html += ' <span class="fr order-state">已收货 </span>';
					} else if(item.order_state == 50) {
						html += ' <span class="fr order-state">已评价 </span>';
					} else if(item.order_state == 0) {
						html += ' <span class="fr order-state">订单已取消 </span>';
					}
				}

				html += ' <i class="icon iconfont">&#xe616;</i> ' + item.store_name + ' </div>';
				var htmlli = '';
				var rate;
				mui.each(item.goodsList, function(i, list) {
					htmlli += '<a class="item orderitem" id="' + list.order_id + '">\
								<div class="pic_box">\
									<img src="' + list.goods_image + '">\
								</div>\
								<div class="middle">\
									<div class="title_box">\
										<span class="self_sell"></span>\
										' + list.goods_name + '\
									</div>'
					if(list.goods_point == 0) {
						htmlli += '<div class="cart-num">\
										<span>' + list.commis_rate + '\<em>%</em>\
										</span>\
									</div>'
					}
					htmlli += '<div class="active_box f1">\
										<span class="active_tag bg_icon">规格: ' + list.spec1_value + '' + list.spec2_value + '</span>\
									</div>\
									<div class="price_box">\
										<span class="new_price">\
											<small>¥</small> <i>' + list.goods_pay_price + '</i><i>元</i>'
					if(list.goods_point != 0) {
						htmlli += '<small class="point" style="color: #C82F25;">&nbsp积分已抵扣<span id="points_num">' + list.goods_point + '</span>元</small>'
					}
					if(list.lion_bean != 0){
						htmlli += '<small class="point" style="color: #C82F25;">&nbsp莱恩豆已抵扣<span id="points_num">' + list.lion_bean + '</span>元</small>'
					}
					if(list.is_have_point == 1) {
						if(list.commis_rate == 50) {							
							htmlli += '<small class="point"  style="color: #C82F25;">&nbsp可赠送莱积分<span id="points_num">' + (list.goods_pay_price) / 2 + '</span></small>';
						} else {							
							htmlli += '<small class="point"  style="color: #C82F25;">&nbsp可赠送莱积分<span id="points_num">' + list.goods_pay_price + '</span></small>'
						}
					}
					htmlli += '</span>\
									</div>\
								</div>\
							</a>';
				})
				var htmlul = '';
				htmlul += '<div class="touchweb-com_searchListBox mb1"> <ul> <li> <a class="item"> <div class="middle"> <div class="price_box"> <span class="new_price confirmorder"> <em>共 ' + item.goodsList.length + ' 件商品 </em><em>总计：</em><small>¥</small> <i>' + item.order_amount + '</i><i>元</i> </span> </div> </div> </a> </li> </ul> </div> <div class="order_btn p5 f8 clear"> ';
				if(item.refund_state == 1) {

					if(item.order_state == 20) {
						htmlul += ' <span class="fr orderbtn">退款申请处理中</span> ';
					} else if(item.order_state == 30) {
						htmlul += ' <span class="fr orderbtn">退款申请处理中</span> <span class="fr orderbtn confirmorderbtn" id="' + item.order_id + '">确认收货</span>';
					}
				} else if(item.refund_state == -1) {
					if(item.order_state == 20) {
						htmlul += ' <span class="fr orderbtn">商家驳回退款待管理员审核</span> ';
					} else if(item.order_state == 30) {
						htmlul += ' <span class="fr orderbtn">商家驳回退款待管理员审核</span> <span class="fr orderbtn confirmorderbtn" id="' + item.order_id + '">确认收货</span>';
					} else if(item.order_state == 40) {
						htmlul += ' <span class="fr orderbtn evaluatebtn" id="' + item.order_id + '" data-model="' + item.model_id + '">评价</span>';
					}
				} else if(item.refund_state == -2) {
					if(item.order_state == 20) {
						htmlul += ' <span class="fr orderbtn">管理员驳回退款</span> ';
					} else if(item.order_state == 30) {
						htmlul += ' <span class="fr orderbtn">管理员驳回退款</span> <span class="fr orderbtn confirmorderbtn" id="' + item.order_id + '">确认收货</span>';
					} else if(item.order_state == 40) {
						htmlul += ' <span class="fr orderbtn evaluatebtn" id="' + item.order_id + '" data-model="' + item.model_id + '">评价</span>';
					}
				} else if(item.refund_state == 2) {
					if(item.order_state == 20) {
						htmlul += ' <span class="fr orderbtn " >退款已通过,待打款</span> ';
					} else if(item.order_state == 30) {
						htmlul += ' <span class="fr orderbtn expressorderbtn"  id="' + item.order_id + '">退款已通过,请填写快递单号</span> ';
					} else if(item.order_state == 40) {
						htmlul += ' <span class="fr orderbtn evaluatebtn" id="' + item.order_id + '" data-model="' + item.model_id + '">评价</span>';
					}

				} else if(item.refund_state == 4) {
					htmlul += ' <span class="fr orderbtn">待商家签收</span>';
				} else if(item.refund_state == 17) {
					if(item.order_state == 20) {
						htmlul += ' <span class="fr orderbtn">平台审核商家未收到快递</span>';
					} else if(item.order_state == 30) {
						htmlul += ' <span class="fr orderbtn">平台审核商家未收到快递</span> <span class="fr orderbtn confirmorderbtn" id="' + item.order_id + '">确认收货</span>';
					} else if(item.order_state == 40) {
						htmlul += ' <span class="fr orderbtn evaluatebtn" id="' + item.order_id + '" data-model="' + item.model_id + '">评价</span>';
					}
				} else if(item.refund_state == 18) {
					htmlul += ' <span class="fr orderbtn">商家提交未收到快递</span>';
				} else if(item.refund_state == 21) {
					htmlul += ' <span class="fr orderbtn">待商家签收</span>';
				} else if(item.refund_state == 22) {
					htmlul += ' <span class="fr orderbtn">商家已签收</span>';
				} else if(item.refund_state == 23) {
					htmlul += ' <span class="fr orderbtn">平台审核商家收到快递</span>';
				} else if(item.refund_state == 24) {
					htmlul += ' <span class="fr orderbtn">退款已通过,待打款</span>';
				} else if(item.refund_state == 3) {
					htmlul += ' <span class="fr orderbtn">订单退款完成</span>';
				} else if(item.refund_state == 0) {
					if(item.order_state == 10) {
						htmlul += '<span class="fr orderbtn orderpaybtn" id="' + item.order_id + '">付款</span><span class="fr orderbtn" id="' + item.order_id + '" onclick="cancelorder(this.id)">取消订单</span>';
					} else if(item.order_state == 20) {
						htmlul += '<span class="fr orderbtn refundbtn" id="' + item.order_id + '" title="' + item.order_amount + '">申请退款</span> ';
					} else if(item.order_state == 30) {
						htmlul += '<span class="fr orderbtn refundbtn" id="' + item.order_id + '" title="' + item.order_amount + '">申请退款</span> <span class="fr orderbtn confirmorderbtn" id="' + item.order_id + '">确认收货</span> <span class="fr orderbtn logisticsbtn" id="' + item.shipping_code + '" title="' + item.shipping_express_name + '">查看物流</span>';
					} else if(item.order_state == 40) {
						htmlul += '<span class="fr orderbtn evaluatebtn" id="' + item.order_id + '" data-model="' + item.model_id + '">评价</span> <span class="fr orderbtn logisticsbtn" id="' + item.shipping_code + '" title="' + item.shipping_express_name + '">查看物流</span>';
					} else if(item.order_state == 50) {
						htmlul += '<span class="fr orderbtn logisticsbtn" id="' + item.shipping_code + '" title="' + item.shipping_express_name + '">查看物流</span>';
					} else {
						htmlul += '';
					}
				}
				htmlul += '' + apptime(item.create_time) + '</div> </li> </ul>';
				html += htmlli + htmlul;
				orderlist.innerHTML += html;
			})
			if(page > totalPages) {
				loadingbtn.innerHTML = '';
			} else {
				console.log(totalPages + '--' + page)
				loadingbtn.innerHTML = Loaddata;
			}
		},
		onError: function(errcode) {
			//mui.toast(errcode.msg)
			orderlist.innerHTML = goodssitp;
			loadingbtn.innerHTML = ''
		},
	}, '3')
}
//取消订单
function cancelorder(id) {
	var btnArray = ['是', '否'];
	mui.confirm('取消订单，确认？', '莱恩商城', btnArray, function(e) {
		if(e.index == 0) {
			mui.ajax_query({
				func_url: '?r=order/cancel-order&token=' + UserInfo.token(),
				params: {
					id: id
				},
				type: 'POST',
				onSuccess: function(data) {
					console.log(JSON.stringify(data))
					mui.toast(data.msg);
					page = 1;
					orderlist.innerHTML = '';
					loadingbtn.innerHTML = '<div class="p1">' + loading + '</div>';
					//orderlist.removeChild(document.getElementById('order_'+id))
					PostOrderList(state);
				},
				onError: function(errcode) {
					console.log(JSON.stringify(errcode))
					mui.toast(errcode.msg)
				},
			}, '3')
		}
	})
}