function dist(lat, lng, goalLat, goalLng) {
	var EARTH_RADIUS = 6378.137; //地球赤道半径
	if(lat != '' && lng != '' && goalLat != '' && goalLng != '') {
		var radLat1 = rad(goalLat);
		var radLat2 = rad(lat);
		var a = radLat1 - radLat2;
		var b = rad(goalLng) - rad(lng);
		var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) + Math.cos(radLat1) * Math.cos(radLat2) * Math.pow(Math.sin(b / 2), 2)));
		s = s * EARTH_RADIUS;
		s = Math.round(s * 10000) / 10000;
		return s * 1000;
		//					console.log("s" + s)

	} else {
		return 0;
	}

	function rad(d) {
		return d * Math.PI / 180.0;
	}
}

function getmerchantList() {
	getType = 1;
	loadingbtn.innerHTML = loading;
	var param = {
		point: point,
		page: page,
		pagesize: pagesize
	}
	mui.ajax_query({
		func_url: '/?r=store/offline-list&token' + UserInfo.token(),
		params: param,
		type: 'post',
		onSuccess: function(data) {
			totalPages = data.data.totalPages; //总页数
			page += 1; //下页
			console.log("获取商品" + JSON.stringify(data))
			var d;
			mui.each(data.data.storeList, function(index, item) {
				//				if(item.store_lat < 1) {
				//					d = "未知"
				//				} else {
				//					a = dist(lat, longt, item.store_lat, item.store_lng)
				//					d = (a / 1000).toFixed(1) + "km";
				//		}
				var distance
				if(!item.distance){
					distance = "未知";
				}else if(item.distance >= 999999 ) {
					distance = "未知"
				} else {
					var d =(item.distance) *1000
					if(d <1000) {
						distance = d.toFixed(0) + "m";
					}else if(d >= 1000){
						distance = (d /1000) .toFixed(1) + "km"
					}
				}
				var li = $('<li id=' + item.store_id + '>' +
					'<a>' +
					'<div class="pic">' +
					'<img class="" src="' + item.store_heard + '" alt="">' +
					'</div>' +
					'<div class="intro">' +
					'<div class="name">' + item.store_name + '</div>' +
					'<div class="type">' + item.store_address + '</div>' +
					'<div class="people"><i class="icon icon14 iconfont">&#xe6a0;</i>' + item.contacts_phone + '</div>' +
					'<div class="distance"><i class="icon icon14 iconfont">&#xe611;</i>' + distance + '</div>' +
					'</div>' +
					'</a>' +
					'</li>');
				//									list_ul.append(li)
				li.appendTo(list_ul)
			})
			loadingbtn.innerHTML = Loaddata;
		},
		onError: function(errcode) {
			loadingbtn.innerHTML = ''

		}
	}, '3')
}

function getmerchantList1(province, city, district) {
	getType = 2;
	loadingbtn.innerHTML = loading;
	var param = {
		point: point,
		pid: pid,
		page: page,
		pagesize: pagesize,
		area: province + ' ' + city + ' ' + district
	}
	mui.ajax_query({
		func_url: '/?r=store/offline-list&token' + UserInfo.token(),
		params: param,
		type: 'post',
		onSuccess: function(data) {
			totalPages = data.data.totalPages; //总页数
			page += 1; //下页
			console.log("获取商品" + JSON.stringify(data))
			var distance
			var li = ""
			mui.each(data.data.storeList, function(index, item) {
				if(!item.distance){
					distance = "未知";
				}else if(item.distance >= 999999 ) {
					distance = "未知"
				} else {
					var d =(item.distance) *1000
					if(d <1000) {
						distance = d.toFixed(0) + "m";
					}else if(d >= 1000){
						distance = (d /1000) .toFixed(1) + "km"
					}
				}
				var li = $('<li id=' + item.store_id + '>' +
					'<a>' +
					'<div class="pic">' +
					'<img class="" src="' + item.store_heard + '" alt="">' +
					'</div>' +
					'<div class="intro">' +
					'<div class="name">' + item.store_name + '</div>' +
					'<div class="type">' + item.store_address + '</div>' +
					'<div class="people"><i class="icon icon14 iconfont">&#xe6a0;</i>' + item.contacts_phone + '</div>' +
					'<div class="distance"><i class="icon icon14 iconfont">&#xe611;</i>' + distance + '</div>' +
					'</div>' +
					'</a>' +
					'</li>');
				li.appendTo(list_ul)
			})
			loadingbtn.innerHTML = Loaddata;
		},
		onError: function(errcode) {
			loadingbtn.innerHTML = onmore;

		}
	}, '3')
}

//搜索
function getmerchantList2(keyword, province, city, district) {
	getType = 2;
	loadingbtn.innerHTML = loading;
	if(pid == "" || pid == undefined) {
		var param = {
			point: point,
			keyword: keyword,
			page: page,
			pagesize: pagesize,
//			area: province + ' ' + city + ' ' + district
		}
	} else {
		var param = {
			point: point,
			keyword: keyword,
			pid: pid,
			page: page,
			pagesize: pagesize,
			area: province + ' ' + city + ' ' + district
		}
	}
	mui.ajax_query({
		func_url: '/?r=store/offline-list&token' + UserInfo.token(),
		params: param,
		type: 'post',
		onSuccess: function(data) {
			totalPages = data.data.totalPages; //总页数
			page += 1; //下页
			console.log("获取商品" + JSON.stringify(data))
			var d;
			var li = ""
			mui.each(data.data.storeList, function(index, item) {
				//				if(item.store_lat < 1) {
				//					d = "未知"
				//				} else {
				//					a = dist(lat, longt, item.store_lat, item.store_lng)
				//					d = (a / 1000).toFixed(1) + "km";
				//				}
				var distance;
				if(!item.distance){
					distance = "未知";
				}else if(item.distance >= 999999 ) {
					distance = "未知"
				} else {
					var d =(item.distance) *1000
					if(d <1000) {
						distance = d.toFixed(0) + "m";
					}else if(d >= 1000){
						distance = (d /1000) .toFixed(1) + "km"
					}
				}
				var li = $('<li id=' + item.store_id + '>' +
					'<a>' +
					'<div class="pic">' +
					'<img class="" src="' + item.store_heard + '" alt="">' +
					'</div>' +
					'<div class="intro">' +
					'<div class="name">' + item.store_name + '</div>' +
					'<div class="type">' + item.store_address + '</div>' +
					'<div class="people"><i class="icon icon14 iconfont">&#xe6a0;</i>' + item.contacts_phone + '</div>' +
					'<div class="distance"><i class="icon icon14 iconfont">&#xe611;</i>' + distance + '</div>' +
					'</div>' +
					'</a>' +
					'</li>');
				li.appendTo(list_ul)
			})
			loadingbtn.innerHTML = Loaddata;
		},
		onError: function(errcode) {
			loadingbtn.innerHTML = onmore;

		}
	}, '3')
}

function PostCategory() {
	mui.ajax_query({
		func_url: '/?r=category/prt-list&token=' + UserInfo.token(),
		params: {
			typeId: 0
		},
		type: 'get',
		onSuccess: function(data) {
			var html = ""
			mui.each(data.data, function(index, item) {
				var indexitem = {};
				indexitem.id = item.classify_id;
				indexitem.name = item.classify_name;
				categoryStair[index] = indexitem;
				//							var index =index+1				
				var html = '<a class="mui-control-item" href="#' + index + '" id=' + categoryStair[index].id + '>' + categoryStair[index].name + '</a>';
				categoryHtml.push(html);
			});
			categoryStairHtml.innerHTML = categoryHtml.join('');
			get_sub_categoryByParentID(categoryStair[0].id);
		},
		onError: function(errcode) {

		},
	}, '3')
}
//通过parentID获取下面的二级分类
function get_categoryMoversStateByID(parentID) {
	for(var i = 0; i < categoryMovers.length; i++) {
		if(categoryMovers[i].parentID == parentID) {
			return categoryMovers[i];
		}
	}
	return null;
}

function get_sub_categoryByParentID(parentID) {
	var item = get_categoryMoversStateByID(parentID);
	if(item && item.categorysubarray.length > 0) {
		return;
	}
	categoryid = parentID;
	var params = {
		parentId: parentID,
		typeId: 0
	}
	mui.ajax_query({
		func_url: '?r=category/chd-list&token=' + UserInfo.token(),
		params: params,
		type: 'get',
		onSuccess: function(data) {
			var html = ""
			mui.each(data.data, function(index, item) {
				html += '<li class="mui-table-view-cell" id=' + item.classify_id + '>' +
					'<a id=' + item.classify_id + '>' + item.classify_name + '</a>' +
					'</li>';
				$(".mui-table-view").html(html)
			})
		},
		onError: function(errcode) {

		},
	}, '3')
}

function getOfflineList(cid, city1, city2, city3) {
	loadingbtn.innerHTML = loading;
	getType = 3
	var params = {
		point: point,
		cid: cid,
		page: page,
		pagesize: pagesize,
		area: city1 + " " + city2 + " " + city3
	}
	mui.ajax_query({
		func_url: '/?r=store/offline-list&token=' + UserInfo.token(),
		params: params,
		type: 'POST',
		onSuccess: function(data) {
			totalPages = data.data.totalPages; //总页数
			page += 1; //下页
			mui.each(data.data.storeList, function(index, item) {
				var distance
				if(!item.distance){
					distance = "未知";
				}else if(item.distance >= 999999 ) {
					distance = "未知"
				} else {
					var d =(item.distance) *1000
					if(d <1000) {
						distance = d.toFixed(0) + "m";
					}else if(d >= 1000){
						distance = (d /1000) .toFixed(1) + "km"
					}
				}
				var li = $('<li id=' + item.store_id + '>' +
					'<a>' +
					'<div class="pic">' +
					'<img class="" src="' + item.store_heard + '" alt="">' +
					'</div>' +
					'<div class="intro">' +
					'<div class="name">' + item.store_name + '</div>' +
					'<div class="type">' + item.store_address + '</div>' +
					'<div class="people"><i class="icon icon14 iconfont">&#xe6a0;</i>' + item.contacts_phone + '</div>' +
					'<div class="distance"><i class="icon icon14 iconfont">&#xe611;</i>' + distance + '</div>' +
					'</div>' +
					'</a>' +
					'</li>');
				li.appendTo(list_ul)
			})
			loadingbtn.innerHTML = Loaddata;
		},
		onError: function(errcode) {
			list_ul.innerHTML = '<div class="center p1 f8">' + errcode.msg + '</div>';
		},
	}, '3')
}